Package org.eclipse.emf.cdo.spi.server

# Class LongIDStore

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.spi.server.Store
org.eclipse.emf.cdo.spi.server.LongIDStore

All Implemented Interfaces:
  `IStore`, `InternalStore`, `org.eclipse.net4j.util.collection.Entity.Store.Provider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

public abstract class LongIDStore extends Store
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.server.InternalStore

`InternalStore.NoChangeSets, InternalStore.NoCommitInfos, InternalStore.NoDurableLocking, InternalStore.NoExternalReferences, InternalStore.NoFeatureMaps, InternalStore.NoHandleRevisions, InternalStore.NoLargeObjects, InternalStore.NoQueryXRefs, InternalStore.NoRawAccess`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

`IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`NULL`
`static final Set<CDOID.ObjectType>`
`OBJECT_ID_TYPES`

### Fields inherited from class org.eclipse.emf.cdo.spi.server.Store

`UNSPECIFIED_DATE`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`LongIDStore(String type, Set<IStore.ChangeFormat> supportedChangeFormats, Set<IStore.RevisionTemporality> supportedRevisionTemporalities, Set<IStore.RevisionParallelism> supportedRevisionParallelisms)`

## Method Summary

Modifier and Type
Method
Description
`CDOID`
`createObjectID(String val)`
`void`
`ensureLastObjectID(CDOID id)`
`long`
`getLastObjectID()`
`CDOID`
`getNextCDOID(LongIDStoreAccessor accessor, CDORevision revision)`
`long`
`getNextLocalObjectID()`
`boolean`
`isLocal(CDOID id)`
Deprecated.
`void`
`setLastObjectID(long lastObjectID)`
`void`
`setNextLocalObjectID(long nextLocalObjectID)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.Store

`computeEntity, computeEntityNames, createExactMatchContext, createReader, createRevision, createWriter, entityBuilder, getEntityStore, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getNextBranchID, getNextLocalBranchID, getObjectIDTypes, getReader, getReaderPool, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, getWriterPool, idToString, isDropAllDataOnActivate, releaseAccessor, set, setDropAllDataOnActivate, setLastBranchID, setLastCommitTime, setLastLocalBranchID, setLastNonLocalCommitTime, setObjectIDTypes, setRepository, setRevisionParallelism, setRevisionTemporality, stringToID`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.InternalStore

`setCreationTime`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

`getCreationTime, getPersistentProperties, isFirstStart, removePersistentProperties, setPersistentProperties`

## Field Details

### OBJECT_ID_TYPES

public static final Set<CDOID.ObjectType> OBJECT_ID_TYPES

Since:
  3.0

### NULL

public static final long NULL

Since:
  3.0

## Constructor Details

### LongIDStore

public LongIDStore(String type, Set<IStore.ChangeFormat> supportedChangeFormats, Set<IStore.RevisionTemporality> supportedRevisionTemporalities, Set<IStore.RevisionParallelism> supportedRevisionParallelisms)

## Method Details

### createObjectID

public CDOID createObjectID(String val)

Since:
  4.0

### getLastObjectID

public long getLastObjectID()

### setLastObjectID

public void setLastObjectID(long lastObjectID)

### getNextLocalObjectID

public long getNextLocalObjectID()

Since:
  3.0

### setNextLocalObjectID

public void setNextLocalObjectID(long nextLocalObjectID)

Since:
  3.0

### getNextCDOID

public CDOID getNextCDOID(LongIDStoreAccessor accessor, CDORevision revision)

Since:
  4.0

### isLocal

@Deprecated public boolean isLocal(CDOID id)
Deprecated.

### ensureLastObjectID

public void ensureLastObjectID(CDOID id)

Since:
  4.0